From c3756518da1289ec7f7cc803e624632aa21aed01 Mon Sep 17 00:00:00 2001
From: Reza Alizadeh Majd <r.majd@pantherx.org>
Date: Sun, 13 Oct 2019 20:55:21 +0330
Subject: [PATCH] gnu: add lxqt-connman-applet

* gnu/packages/lxqt.scm (lxqt-connman-applet) New variable.
---
 gnu/packages/lxqt.scm | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/gnu/packages/lxqt.scm b/gnu/packages/lxqt.scm
index e5487d3ae4..d9199f2097 100644
--- a/gnu/packages/lxqt.scm
+++ b/gnu/packages/lxqt.scm
@@ -1279,6 +1279,48 @@ easily publishing them on internet image hosting services.")
 like @command{tar} and @command{zip}.")
     (license license:gpl2+)))
 
+(define-public lxqt-connman-applet
+  (let ((commit "3db374eebd8d851f68a50fc5d1ef5fa9478c275e")
+        (revision "0"))
+    (package
+      (name "lxqt-connman-applet")
+      (version (git-version "0.14.1" revision commit))
+      (source
+        (origin
+          (method git-fetch)
+          (uri (git-reference
+            (url (string-append "https://github.com/lxqt/" name ".git"))
+            (commit commit)))
+          (file-name (git-file-name name version))
+          (sha256 (base32 "1brkyzjmpa7hiv8p8rvmkcgagchh2zn71ry4pjiplga05as3jc11"))))
+      (build-system cmake-build-system)
+      (inputs
+        `(("kwindowsystem" ,kwindowsystem)
+          ("qtbase" ,qtbase)
+          ("qtsvg" ,qtsvg)
+          ("liblxqt" ,liblxqt)
+          ("qtx11extras" ,qtx11extras)
+          ("libqtxdg" ,libqtxdg)))
+      (native-inputs
+        `(("lxqt-build-tools" ,lxqt-build-tools)
+          ("qtlinguist" ,qttools)))
+      (arguments
+        `(#:tests? #f
+          #:phases
+            (modify-phases %standard-phases
+              (add-after 'unpack 'patch-translations-dir
+                (lambda* (#:key outputs #:allow-other-keys)
+                  (substitute* "CMakeLists.txt"
+                    (("\\$\\{LXQT_TRANSLATIONS_DIR\\}")
+                     (string-append (assoc-ref outputs "out")
+                                    "/share/lxqt/translations"))
+                    (("\\$\\{LXQT_ETC_XDG_DIR\\}") "etc/xdg"))
+                  #t)))))
+      (home-page "https://github.com/lxqt/lxqt-connman-applet")
+      (synopsis "System-tray applet for connman")
+      (description "LXQt based system-tray applet for connman")
+      (license license:lgpl2.1+))))
+
 ;; The LXQt Desktop Environment
 
 (define-public lxqt
-- 
2.23.0

